package vn.azteam.tpf.service.dto;

import java.io.Serializable;
import java.util.Objects;

/**
 * A DTO for the TBEntityLocationOfCustomer entity.
 */
public class TBEntityLocationOfCustomerDTO implements Serializable {

    private Long id;

    private Double pixelX;

    private Double pixelY;

    private Long tbCustomerId;

    private Long tbEntityId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Double getPixelX() {
        return pixelX;
    }

    public void setPixelX(Double pixelX) {
        this.pixelX = pixelX;
    }

    public Double getPixelY() {
        return pixelY;
    }

    public void setPixelY(Double pixelY) {
        this.pixelY = pixelY;
    }

    public Long getTbCustomerId() {
        return tbCustomerId;
    }

    public void setTbCustomerId(Long tbCustomerId) {
        this.tbCustomerId = tbCustomerId;
    }

    public Long getTbEntityId() {
        return tbEntityId;
    }

    public void setTbEntityId(Long tbEntityId) {
        this.tbEntityId = tbEntityId;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }

        TBEntityLocationOfCustomerDTO tBEntityLocationOfCustomerDTO = (TBEntityLocationOfCustomerDTO) o;
        if (tBEntityLocationOfCustomerDTO.getId() == null || getId() == null) {
            return false;
        }
        return Objects.equals(getId(), tBEntityLocationOfCustomerDTO.getId());
    }

    @Override
    public int hashCode() {
        return Objects.hashCode(getId());
    }

    @Override
    public String toString() {
        return "TBEntityLocationOfCustomerDTO{" +
            "id=" + getId() +
            ", pixelX=" + getPixelX() +
            ", pixelY=" + getPixelY() +
            "}";
    }
}
